#pragma once

#include "Paragraph.h"
#include "FirstLineIndent.h"

class AliceParagraphGenerator
{
public:
    AliceParagraphGenerator();
    
    void SetText(std::vector<std::wstring> lines);
    float SetWidth(float width);
    std::vector<Paragraph> GetParagraphs();
    int ParagraphCount();

private:
    std::vector<Paragraph> m_paragraphs;
    void SetItalicText(int lineNum, const wchar_t * word = nullptr, int occurrence = 1);
    void SetFontSize(int lineNum, int start, int length, float amount);
};